## kmediaplayer 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0") # handled by release scripts
set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
project(KMediaPlayer VERSION ${KF5_VERSION})


#
# CMake stuff from ECM
#
include(FeatureSummary)
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)


#
# Version info
#
ecm_setup_version(PROJECT
   VARIABLE_PREFIX KMEDIAPLAYER
   VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h"
   PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
   SOVERSION 5)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
        COMPONENT Devel)


#
# Dependencies
#
set(REQUIRED_QT_VERSION 5.9.0)
find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)

find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)


#
# Subdirectories
#
include_directories (
   ${CMAKE_CURRENT_SOURCE_DIR}/src
   ${CMAKE_CURRENT_BINARY_DIR}/src)

add_subdirectory(src)
if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

#
# Config.cmake stuff
#
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5MediaPlayer")
configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF5MediaPlayerConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
   INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR})

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(FILES "${CMAKE_CURRENT_BINARY_DIR}/KF5MediaPlayerConfig.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5MediaPlayerTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF5MediaPlayerTargets.cmake
        NAMESPACE KF5::)


#
# Feature summary
#
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kmediaplayer (5.54.0-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Fri, 22 Jan 2021 11:37:56 +0800

kmediaplayer (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:07 -0300

kmediaplayer (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:11 +0100

kmediaplayer (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:17:50 +0200

kmediaplayer (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:07:33 +0200

=== debian/control ===
Source: kmediaplayer
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.5~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5kio-dev (>= 5.41.0~),
               libkf5parts-dev (>= 5.54.0~),
               libkf5xmlgui-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
               xauth,
               xvfb,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git

Package: libkf5mediaplayer-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Replaces: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 This package contains the data files.

Package: libkf5mediaplayer-dev
Section: libdevel
Architecture: any
Depends: libkf5mediaplayer5 (= ${binary:Version}),
         libkf5parts-dev (>= 5.54.0~),
         ${misc:Depends},
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.
 .
 Contains development files for kmediaplayer.
Breaks: libkf5kdelibs4support-dev (<< 5.54)

Package: libkf5mediaplayer5
Architecture: any
Multi-Arch: same
Depends: libkf5mediaplayer-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Plugin interface for media player features.
 It provides all of the necessary media player operations,
 and optionally provides the GUI to control them.
 .
 There are two servicetypes for Player:
 KMediaPlayer/Player and KMediaPlayer/Engine.
 KMediaPlayer/Player provides a widget (accessible
 through view as well as XML GUI KActions.
 KMediaPlayer/Engine omits the user interface facets,
 for those who wish to provide their own interface.

## kmediaplayer 5.56.0

=== debian/changelog ===
kmediaplayer (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:36:42 +0000

kmediaplayer (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:32:01 +0000

kmediaplayer (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:35:37 +0000

kmediaplayer (5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:49:16 +0000

kmediaplayer (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:42 +0000

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5kio-dev (>= 5.41.0~),
-               libkf5parts-dev (>= 5.54.0~),
-               libkf5xmlgui-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
+               libkf5kio-dev (>= 5.56.0~),
+               libkf5parts-dev (>= 5.56.0~),
+               libkf5xmlgui-dev (>= 5.56.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.8.0~),
                xauth,
                xvfb,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 
 Package: libkf5mediaplayer-data
 Architecture: all
@@ -38,10 +38,10 @@
  This package contains the data files.
 
 Package: libkf5mediaplayer-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.54.0~),
+         libkf5parts-dev (>= 5.55.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -51,7 +51,6 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5mediaplayer5
 Architecture: any

## kmediaplayer 5.62.0

=== debian/changelog ===
kmediaplayer (5.62.0-1) unstable; urgency=medium

  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:12:47 -0700

kmediaplayer (5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:09:59 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.56.0~),
-               libkf5kio-dev (>= 5.56.0~),
-               libkf5parts-dev (>= 5.56.0~),
-               libkf5xmlgui-dev (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
+               libkf5kio-dev (>= 5.41.0~),
+               libkf5parts-dev (>= 5.62.0~),
+               libkf5xmlgui-dev (>= 5.62.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.11.0~),
                xauth,
                xvfb,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git
 
 Package: libkf5mediaplayer-data
 Architecture: all
@@ -38,10 +38,10 @@
  This package contains the data files.
 
 Package: libkf5mediaplayer-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.55.0~),
+         libkf5parts-dev (>= 5.62.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -51,6 +51,7 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5mediaplayer5
 Architecture: any

## kmediaplayer 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.54.0") # handled by release scripts
+set(KF5_VERSION "5.68.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
 project(KMediaPlayer VERSION ${KF5_VERSION})
 
 
@@ -9,11 +9,11 @@
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.54.0  NO_MODULE)
-set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
+find_package(ECM 5.68.0  NO_MODULE)
+set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})
+set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 
 include(KDEInstallDirs)
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
@@ -42,7 +42,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 5.9.0)
+set(REQUIRED_QT_VERSION 5.12.0)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
@@ -56,7 +56,9 @@
 include_directories (
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_BINARY_DIR}/src)
-
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== debian/changelog ===
kmediaplayer (5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:58:25 +0000

kmediaplayer (5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:51:09 +0000

kmediaplayer (5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:20:03 +0000

kmediaplayer (5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:01:13 +0000

kmediaplayer (5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:25:21 +0000

kmediaplayer (5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:07:45 +0100

kmediaplayer (5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:43:28 +0100

kmediaplayer (5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:16:57 +0100

kmediaplayer (5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:20:06 +0100

kmediaplayer (5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:41:08 +0100

kmediaplayer (5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:38:45 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.62.0~),
-               libkf5kio-dev (>= 5.41.0~),
-               libkf5parts-dev (>= 5.62.0~),
-               libkf5xmlgui-dev (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
+               libkf5kio-dev (>= 5.68.0~),
+               libkf5parts-dev (>= 5.68.0~),
+               libkf5xmlgui-dev (>= 5.68.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.11.0~),
+               qtbase5-dev (>= 5.8.0~),
                xauth,
                xvfb,
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 
 Package: libkf5mediaplayer-data
 Architecture: all
@@ -38,10 +38,10 @@
  This package contains the data files.
 
 Package: libkf5mediaplayer-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.62.0~),
+         libkf5parts-dev (>= 5.68.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -51,7 +51,6 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5mediaplayer5
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5mediaplayer5-dbg (<= 5.19.0-1~~)'

override_dh_auto_test:
	xvfb-run -a --server-args="-screen 0 1024x768x24+32" dh_auto_test

## kmediaplayer 5.74.0

=== debian/changelog ===
kmediaplayer (5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:59 +0100

kmediaplayer (5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:59:03 +0100

kmediaplayer (5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:33:41 +0100

kmediaplayer (5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:07:15 +0100

kmediaplayer (5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields,
    - debhelper-compat = 12 for backports.

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Jun 2020 14:30:41 +0100

kmediaplayer (5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 5.22.0-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).
  * Remove not needed Build-Depends.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:58:31 +0200

kmediaplayer (5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:32:54 +0100

kmediaplayer (5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Remove not needed injection of linker flags.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 17:58:33 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11~),
-               extra-cmake-modules (>= 5.68.0~),
-               libkf5kio-dev (>= 5.68.0~),
-               libkf5parts-dev (>= 5.68.0~),
-               libkf5xmlgui-dev (>= 5.68.0~),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
+               extra-cmake-modules (>= 5.74.0~),
+               libkf5parts-dev (>= 5.74.0~),
+               libkf5xmlgui-dev (>= 5.74.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.12.0~),
                xauth,
                xvfb,
-Standards-Version: 4.1.4
+Standards-Version: 4.5.0
 Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Rules-Requires-Root: no
 
 Package: libkf5mediaplayer-data
 Architecture: all
@@ -38,10 +38,10 @@
  This package contains the data files.
 
 Package: libkf5mediaplayer-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.68.0~),
+         libkf5parts-dev (>= 5.74.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -51,13 +51,14 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
+Breaks: libkf5kdelibs4support-dev (<< 5.54)
 
 Package: libkf5mediaplayer5
 Architecture: any
 Multi-Arch: same
 Depends: libkf5mediaplayer-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends},
+         ${shlibs:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.

## kmediaplayer 5.78.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.68.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.68.0") # handled by release scripts
+set(KF5_VERSION "5.78.0") # handled by release scripts
+set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
 project(KMediaPlayer VERSION ${KF5_VERSION})
 
 
@@ -9,7 +9,7 @@
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.68.0  NO_MODULE)
+find_package(ECM 5.78.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -42,7 +42,7 @@
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 5.12.0)
+set(REQUIRED_QT_VERSION 5.14.0)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
@@ -58,7 +58,7 @@
    ${CMAKE_CURRENT_BINARY_DIR}/src)
 add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054300)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== debian/changelog ===
kmediaplayer (5.78.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sun, 17 Jan 2021 12:02:23 +0900

kmediaplayer (5.78.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.78.0).
  * Update build-deps and deps with the info from cmake.

 -- Norbert Preining <norbert@preining.info>  Wed, 13 Jan 2021 10:32:43 +0900

kmediaplayer (5.77.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 10:33:35 +0900

kmediaplayer (5.77.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * Bump Standards-Version to 4.5.1 (No changes needed).
  * New upstream release (5.77.0).
  * Update build-deps and deps with the info from cmake.
  * Add myself to Uploaders.
  * Update maintainer to Debian Qt/KDE Maintainers.
  * Update list of installed files.

 -- Norbert Preining <norbert@preining.info>  Fri, 18 Dec 2020 10:03:54 +0900

kmediaplayer (5.74.0-2) unstable; urgency=medium

  * Team upload to unstable.

 -- Sandro Knauß <hefee@debian.org>  Mon, 19 Oct 2020 23:19:31 +0200

kmediaplayer (5.74.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (5.74.0).
  * Update build-deps and deps with the info from cmake.
  * Update Homepage link to point to new invent.kde.org
  * Update repository related entries to metadata file.
  * Update field Source in debian/copyright to invent.kde.org move.
  * Add Bug-* entries to metadata file.

 -- Sandro Knauß <hefee@debian.org>  Sun, 27 Sep 2020 17:46:51 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: kmediaplayer
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
-               debhelper-compat (= 12),
-               extra-cmake-modules (>= 5.74.0~),
-               libkf5parts-dev (>= 5.74.0~),
-               libkf5xmlgui-dev (>= 5.74.0~),
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 5.78.0~),
+               libkf5parts-dev (>= 5.78.0~),
+               libkf5xmlgui-dev (>= 5.78.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.14.0~),
                xauth,
-               xvfb,
-Standards-Version: 4.5.0
-Homepage: https://projects.kde.org/projects/frameworks/kmediaplayer
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+               xvfb
+Standards-Version: 4.5.1
+Homepage: https://invent.kde.org/frameworks/kmediaplayer
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git
 Rules-Requires-Root: no
 
 Package: libkf5mediaplayer-data
@@ -41,8 +42,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.74.0~),
-         ${misc:Depends},
+         libkf5parts-dev (>= 5.78.0~),
+         ${misc:Depends}
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.

## kmediaplayer 5.80.0

=== debian/changelog ===
kmediaplayer (5.80.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.80.0)
  * Update symbols

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 18 Mar 2021 11:08:36 +0000

kmediaplayer (5.79.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.79.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Feb 2021 12:22:43 +0000

=== debian/control ===
--- 
+++ 
@@ -6,13 +6,13 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.78.0~),
-               libkf5parts-dev (>= 5.78.0~),
-               libkf5xmlgui-dev (>= 5.78.0~),
+               extra-cmake-modules (>= 5.80.0~),
+               libkf5parts-dev (>= 5.80.0~),
+               libkf5xmlgui-dev (>= 5.80.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                xauth,
-               xvfb
+               xvfb,
 Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/kmediaplayer
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
@@ -42,8 +42,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.78.0~),
-         ${misc:Depends}
+         libkf5parts-dev (>= 5.80.0~),
+         ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.

## kmediaplayer 5.86.0

=== debian/changelog ===
kmediaplayer (5.86.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.86.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 13 Sep 2021 12:48:46 +0100

kmediaplayer (5.85.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.85.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Aug 2021 11:28:02 +0100

kmediaplayer (5.84.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.84.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 11 Jul 2021 09:01:01 +0100

kmediaplayer (5.83.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.83.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jun 2021 12:17:59 +0100

kmediaplayer (5.82.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.82.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 08 May 2021 11:57:46 +0100

kmediaplayer (5.81.0-0ubuntu1) impish; urgency=medium

  * New upstream release (5.81.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 28 Apr 2021 10:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
            Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.80.0~),
-               libkf5parts-dev (>= 5.80.0~),
-               libkf5xmlgui-dev (>= 5.80.0~),
+               extra-cmake-modules (>= 5.86.0~),
+               libkf5parts-dev (>= 5.86.0~),
+               libkf5xmlgui-dev (>= 5.86.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.14.0~),
                xauth,
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.80.0~),
+         libkf5parts-dev (>= 5.86.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.92.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,15 @@
-cmake_minimum_required(VERSION 3.5)
+cmake_minimum_required(VERSION 3.16)
 
-set(KF5_VERSION "5.78.0") # handled by release scripts
-set(KF5_DEP_VERSION "5.78.0") # handled by release scripts
-project(KMediaPlayer VERSION ${KF5_VERSION})
+set(KF_VERSION "5.92.0") # handled by release scripts
+set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+project(KMediaPlayer VERSION ${KF_VERSION})
 
 
 #
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.78.0  NO_MODULE)
+find_package(ECM 5.92.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -35,30 +35,26 @@
    SOVERSION 5)
 
 install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kmediaplayer_version.h
-        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}
+        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KMediaPlayer
         COMPONENT Devel)
 
 
 #
 # Dependencies
 #
-set(REQUIRED_QT_VERSION 5.14.0)
+set(REQUIRED_QT_VERSION 5.15.2)
 find_package(Qt5DBus ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 find_package(Qt5Widgets ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE)
 
-find_package(KF5Parts ${KF5_DEP_VERSION} REQUIRED)
-find_package(KF5XmlGui ${KF5_DEP_VERSION} REQUIRED)
+find_package(KF5Parts ${KF_DEP_VERSION} REQUIRED)
+find_package(KF5XmlGui ${KF_DEP_VERSION} REQUIRED)
 
 
 #
 # Subdirectories
 #
-include_directories (
-   ${CMAKE_CURRENT_SOURCE_DIR}/src
-   ${CMAKE_CURRENT_BINARY_DIR}/src)
-add_definitions(-DQT_NO_FOREACH)
 add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x054B00)
+add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== debian/changelog ===
kmediaplayer (5.92.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.92.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 16 Mar 2022 16:27:56 +0000

kmediaplayer (5.91.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.91.0)
  * Update installed files

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 14 Feb 2022 17:09:09 +0000

kmediaplayer (5.90.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.90.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 16:48:06 +0000

kmediaplayer (5.89.0-0ubuntu1) jammy; urgency=medium

  * New upstream release (5.89.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 12 Dec 2021 15:16:58 +0000

kmediaplayer (5.88.0-1ubuntu1) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 18:11:46 +0000

kmediaplayer (5.88.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.87.0).
  * New upstream release (5.88.0).
  * Force-bump frameworks internal b-d to 5.88.

 -- Norbert Preining <norbert@preining.info>  Wed, 17 Nov 2021 06:07:40 +0900

kmediaplayer (5.86.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.86.0).
  * Bump Standards-Version to 4.6.0, no change required.

 -- Norbert Preining <norbert@preining.info>  Mon, 13 Sep 2021 10:58:01 +0900

kmediaplayer (5.85.0-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Sat, 28 Aug 2021 23:42:47 +0900

kmediaplayer (5.85.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.85.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 00:04:34 +0900

kmediaplayer (5.83.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 11:53:07 +0900

kmediaplayer (5.83.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.83.0).

 -- Norbert Preining <norbert@preining.info>  Sun, 13 Jun 2021 09:21:51 +0900

kmediaplayer (5.82.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.82.0).
  * Removed Maximiliano Curia from the uploaders, thanks for your work
    on the package!

 -- Norbert Preining <norbert@preining.info>  Sat, 08 May 2021 21:16:01 +0900

kmediaplayer (5.81.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.81.0)
  * Bump inter-frameworks dependencies.

 -- Norbert Preining <norbert@preining.info>  Mon, 12 Apr 2021 10:18:20 +0900

kmediaplayer (5.80.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream version (5.80.0)
  * Bump inter-frameworks dependencies.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Mon, 15 Mar 2021 15:10:35 +0900

kmediaplayer (5.79.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.79.0).

 -- Norbert Preining <norbert@preining.info>  Tue, 16 Feb 2021 06:45:28 +0900

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: kmediaplayer
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>,
-           Norbert Preining <norbert@preining.info>
-Build-Depends: cmake (>= 3.5~),
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.86.0~),
-               libkf5parts-dev (>= 5.86.0~),
-               libkf5xmlgui-dev (>= 5.86.0~),
+               extra-cmake-modules (>= 5.92.0~),
+               libkf5parts-dev (>= 5.92.0~),
+               libkf5xmlgui-dev (>= 5.92.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.14.0~),
+               qtbase5-dev (>= 5.15.2~),
                xauth,
                xvfb,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://invent.kde.org/frameworks/kmediaplayer
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
 Rules-Requires-Root: no
 
 Package: libkf5mediaplayer-data
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.86.0~),
+         libkf5parts-dev (>= 5.92.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -59,7 +59,7 @@
 Multi-Arch: same
 Depends: libkf5mediaplayer-data (= ${source:Version}),
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.

## kmediaplayer 5.98.0

=== debian/changelog ===
kmediaplayer (5.98.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.98.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 11 Sep 2022 11:32:50 +0100

kmediaplayer (5.97.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.97.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 13 Aug 2022 14:05:08 +0100

kmediaplayer (5.96.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.96.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Jul 2022 16:30:55 +0100

kmediaplayer (5.95.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.95.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jun 2022 09:56:36 +0100

kmediaplayer (5.94.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.94.0)
  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Thu, 12 May 2022 16:20:22 +0100

kmediaplayer (5.93.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (5.93.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Apr 2022 08:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Uploaders: Norbert Preining <norbert@preining.info>
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.92.0~),
-               libkf5parts-dev (>= 5.92.0~),
-               libkf5xmlgui-dev (>= 5.92.0~),
+               extra-cmake-modules (>= 5.98.0~),
+               libkf5parts-dev (>= 5.98.0~),
+               libkf5xmlgui-dev (>= 5.98.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth,
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.92.0~),
+         libkf5parts-dev (>= 5.98.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,

## kmediaplayer 5.103.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "5.92.0") # handled by release scripts
-set(KF_DEP_VERSION "5.92.0") # handled by release scripts
+set(KF_VERSION "5.103.0") # handled by release scripts
+set(KF_DEP_VERSION "5.103.0") # handled by release scripts
 project(KMediaPlayer VERSION ${KF_VERSION})
 
 
@@ -9,7 +9,7 @@
 # CMake stuff from ECM
 #
 include(FeatureSummary)
-find_package(ECM 5.92.0  NO_MODULE)
+find_package(ECM 5.103.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,6 +22,7 @@
 include(GenerateExportHeader)
 include(ECMSetupVersion)
 include(ECMGenerateHeaders)
+include(ECMDeprecationSettings)
 include(CMakePackageConfigHelpers)
 
 
@@ -53,8 +54,11 @@
 #
 # Subdirectories
 #
-add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
-add_definitions(-DKF_DISABLE_DEPRECATED_BEFORE_AND_AT=0x055900)
+ecm_set_disabled_deprecation_versions(
+    QT 5.15.2
+    KF 5.95
+)
+
 add_subdirectory(src)
 if (BUILD_TESTING)
     add_subdirectory(autotests)

=== debian/changelog ===
kmediaplayer (5.103.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.103.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 12 Feb 2023 21:44:33 +0100

kmediaplayer (5.102.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.102.0).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.6.2, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 22 Jan 2023 21:35:12 +0100

kmediaplayer (5.101.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.101.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 13 Dec 2022 07:40:38 +0100

kmediaplayer (5.100.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.99.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (5.100.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 19 Nov 2022 23:19:07 +0100

kmediaplayer (5.98.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.98.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 18 Sep 2022 23:13:27 +0200

kmediaplayer (5.97.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.97.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 14 Aug 2022 18:55:42 +0200

kmediaplayer (5.96.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.96.0).
  * Bump Standards-Version to 4.6.1, no change required.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 31 Jul 2022 13:33:11 +0200

kmediaplayer (5.94.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.94.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Thu, 19 May 2022 23:59:08 +0200

kmediaplayer (5.93.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (5.93.0).
  * Update the list of installed files from build logs.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 11 May 2022 23:22:49 +0200

kmediaplayer (5.90.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.89.0).

  [ Aurélien COUDERC ]
  * New upstream release (5.90.0).
  * Added myself to the uploaders.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 11 Feb 2022 23:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: kmediaplayer
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Norbert Preining <norbert@preining.info>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Aurélien COUDERC <coucouf@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 5.98.0~),
-               libkf5parts-dev (>= 5.98.0~),
-               libkf5xmlgui-dev (>= 5.98.0~),
+               extra-cmake-modules (>= 5.103.0~),
+               libkf5parts-dev (>= 5.103.0~),
+               libkf5xmlgui-dev (>= 5.103.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.15.2~),
                xauth,
                xvfb,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://invent.kde.org/frameworks/kmediaplayer
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kmediaplayer
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kmediaplayer.git
 Rules-Requires-Root: no
 
 Package: libkf5mediaplayer-data
 Architecture: all
 Multi-Arch: foreign
-Depends: ${misc:Depends}
-Breaks: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
-Replaces: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3)
+Depends: ${misc:Depends},
+Breaks: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3),
+Replaces: libkf5mediaplayer5 (<= 5.0.0-0ubuntu1~ubuntu14.10~ppa3),
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
  and optionally provides the GUI to control them.
@@ -42,7 +42,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5mediaplayer5 (= ${binary:Version}),
-         libkf5parts-dev (>= 5.98.0~),
+         libkf5parts-dev (>= 5.103.0~),
          ${misc:Depends},
 Description: Plugin interface for media player features.
  It provides all of the necessary media player operations,
@@ -52,7 +52,7 @@
  for those who wish to provide their own interface.
  .
  Contains development files for kmediaplayer.
-Breaks: libkf5kdelibs4support-dev (<< 5.54)
+Breaks: libkf5kdelibs4support-dev (<< 5.54),
 
 Package: libkf5mediaplayer5
 Architecture: any
